.page-col-menu {
  width: 100%;
  height: auto;
  position: relative;
  z-index: 1010;

  .spinner-container {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .btn-search {
    font-size: inherit;
  }

  .navbar {
    max-width: map-get($map: $container-max-widths, $key: 'xxl');
    margin: auto;
    background-image: none;
    flex-wrap: nowrap;
    height: auto;

    .logo {
      height: 34px;
    }
  }

  .navbar-container {
    border-bottom: 1px solid transparent;
  }

  &.full-size {
    .navbar {
      max-width: 100%;
    }
  }

  &.auto.direction-up,
  &.auto.hamburger-menu-visible {
    .navbar-container {
      top: 0;
    }

    .hamburger-items {
      top: calc(#{calc($nav-link-height + $spacer * .7)} + 5px);
      max-height: calc(100% - #{calc($nav-link-height + $spacer * .7)} + 5px);
      overflow-y: scroll;
    }
  }

  .navbar {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    padding: $spacer * 0.25 $spacer;
  }

  .dropdown-menu-list {
    position: absolute;
    top: $nav-link-padding-y * 2 + $nav-link-height + $spacer * 1.5;
    left: $nav-link-padding-x * -1;
    min-width: 150px;
    border-radius: $border-radius-lg;
    opacity: 0;
    pointer-events: none;
    transition: 0.3s all ease-in-out;
    border: 1px solid transparent;
  }

  .navbar-container {
    .navbar-nav {
      flex-direction: row;
    }

    .nav-link,
    .btn-link,
    .btn-search {
      padding: $spacer * 0.5 $spacer * 0.5;
      width: 100%;
      text-align: left;
      border-radius: $border-radius-lg;
      border: 0;
      background-image: none;
    }

    .menu-item {
      padding: $spacer * 0.25;
    }

    .nav-item-level-1 {
      position: relative;
    }
  }

  .nav-item-level-1.show-dropdown .dropdown-menu-list {
    opacity: 1;
    pointer-events: all;
    top: $nav-link-padding-y * 2 + $nav-link-height + $spacer * 0.5;
  }

  &.sticky {
    .navbar {
      position: fixed;
      top: 0;
      left: 0;
    }
  }

  &.auto {
    .navbar-container {
      transition: top 0.5s ease-in-out;
      position: fixed;
      top: -100px;
      left: 0;
      right: 0;
      z-index: 1010;
    }

    .hamburger-items {
      position: fixed;
      left: 0;
      right: 0;
      z-index: 1009;
      top: -2500px;
      transition: top 1s ease-in-out;
    }
  }

  .nav-link .icon {
    display: none;
  }

  .nav-link:hover,
  .btn-search:hover,
  .btn-hamburger-close:hover,
  .btn-hamburger:hover {
    background-color: rgba($dark, 0.1);
  }

  .icon {
    margin-right: $spacer;

    .fa-angle-up {
      display: none;
    }

    .fa-angle-down {
      display: inline-block;
    }
  }

  .show-dropdown {
    .icon {
      .fa-angle-up {
        display: inline-block;
      }

      .fa-angle-down {
        display: none;
      }
    }
  }

  .hamburger-items {
    border-bottom: 1px solid transparent;

    .navbar-nav {
      flex-direction: column;
    }

    li,
    .search-btn-container {
      border-top: 1px solid $gray-400;
    }

    .menu-item {
      padding: $spacer * .25;
    }

    .nav-link,
    .btn-search {
      padding: $spacer * 0.7;
      width: 100%;
      text-align: left;

      .icon {
        display: inline-block;
      }
    }

    .dropdown-menu-list {
      position: static;
      display: none;
    }
  }

  .show-dropdown .dropdown-menu-list {
    display: block;
  }

  .nav-item {
    position: relative;
  }


  .loading {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: 2px;
    opacity: 0;

    -webkit-transition: opacity 1s ease-in-out;
    -moz-transition: opacity 1s ease-in-out;
    -o-transition: opacity 1s ease-in-out;
    transition: opacity 1s ease-in-out;

    &.visible {
      opacity: 1;
      -webkit-transition: opacity 0.1s ease-in-out;
      -moz-transition: opacity 0.1s ease-in-out;
      -o-transition: opacity 0.1s ease-in-out;
      transition: opacity 0.1s ease-in-out;

      .loading-progress {
        position: absolute;
        left: 0;
        -webkit-animation-name: loading-length;
        /* Safari 4.0 - 8.0 */
        -webkit-animation-duration: 60s;
        /* Safari 4.0 - 8.0 */

        animation-name: loading-length;
        animation-duration: 60s;

        height: 100%;
      }
    }
  }
}